Bug Hunting Session
Bug 112861 - FILEOPEN: VML connector's direction not imported
Summary: FILEOPEN: VML connector's direction not imported
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2017-10-03 15:46 UTC by Xisco Faulí
Modified: 2019-10-26 15:38 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (18.96 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-10-03 15:46 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-10-03 15:46:38 UTC
Created attachment 136736 [details]
sample

This is a follow-up of bug 66058

Steps:
1. Open attached document

Observed behaviour: Rows point to the right. They should point to the left.

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 34e8fd7e99489e9f50a512b07c6f3923b358b4d3
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Luke 2017-10-04 19:08:09 UTC
Connector points in the wrong direction in Version: 6.0.0.0.alpha0+ (x64)
Build ID: 2e8a95d1f87a3dbdcc8846fa44d1899abc8edd9c

Adding a bibisect request to see when import behavior changed in bug 66058 to create this new bug.
Comment 2 raal 2017-10-06 21:48:36 UTC
Grzegorz, please could you look at this problem ? 


485945bb6327aa2b6ace2b0c4e98ad159067f944 is the first bad commit
commit 485945bb6327aa2b6ace2b0c4e98ad159067f944
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Jul 27 07:45:13 2017 -0700

    source sha:c8e3fea4996436d1fd608cf5ef0fdc18f5a8fd7f

	author	Grzegorz Araminowicz <g.araminowicz@gmail.com>	2017-06-06 06:53:39 (GMT)
committer	Jan Holesovsky <kendy@collabora.com>	2017-06-09 14:28:11 (GMT)
commit	c8e3fea4996436d1fd608cf5ef0fdc18f5a8fd7f (patch)
tree	4a29ae2713515c47afa87a3b2b64445e6a5099f2
parent	9614f12bae668dfe848ae6cc0bac091be106fa8e (diff)
GSoC: import VML shape adjustments
Comment 3 raal 2017-10-06 21:57:37 UTC
Not a regression, at oldest commit are rows point from up to down. This commit made it better, only with wrong direction.
Comment 4 Xisco Faulí 2017-10-06 21:58:03 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2018-10-23 02:49:29 UTC Comment hidden (obsolete)
Comment 6 Luke 2018-10-23 16:06:19 UTC
Connectors still pointing the wrong direction in:
Version: 6.2.0.0.alpha0+ (x64)
Build ID: 5e8cd8683d345b75297994b3f7aab851835eb124
Comment 7 QA Administrators 2019-10-25 02:40:58 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2019-10-25 08:17:02 UTC
Still reproducible in

Version: 6.4.0.0.alpha1+
Build ID: 6c6b00300c5430466804619394b84beea01b3187
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 9 Regina Henschel 2019-10-25 12:50:20 UTC
The wrong orientation is not an OOXML but a VML import problem. The file does not contain an OOXML shape.

The shape contains a 180° rotation, down by horizontal and vertical flip.
Comment 10 Regina Henschel 2019-10-25 12:51:46 UTC
down -> done
Comment 11 QA Administrators 2019-10-26 02:11:36 UTC
Dear Xisco Faulí,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug